Mailinglist Archive: opensuse-bugs (4297 mails)

< Previous Next >
[Bug 1034877] cups-browsed does not work without cups-filters
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Tue, 30 May 2017 14:12:17 +0000
  • Message-id: <bug-1034877-21960-qmxiK8d4OB@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1034877
http://bugzilla.opensuse.org/show_bug.cgi?id=1034877#c2

Johannes Meixner <jsmeix@xxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
Status|CONFIRMED |RESOLVED
Resolution|--- |FIXED

--- Comment #2 from Johannes Meixner <jsmeix@xxxxxxxx> ---
Solved together with cups-filters version upgrade to 1.14.0
via OBS submitrequest 499778

Excerpt from the RPM changelog:
- Since version 1.14.0 there are no longer sub-packages
(except cups-filters-devel) because nowadays cups-filters
can no longer be built with CUPS < 1.6 with reasonable effort,
see the entry below dated "Wed Oct 7 11:16:13 CEST 2015".
On systems with CUPS >= 1.6 (i.e. since SLE12 GA / Leap 42.1)
there is no good reason to keep cups-filters split into
sub-packages and furthermore that split causes continuous
(nowadays useless) efforts and bugs (like boo#1034877).

FYI
my cups-filters version upgrade to 1.14.0 on my Leap 42.1 system:
-------------------------------------------------------------------------------
# rpm -qa | grep cups-filters
cups-filters-ghostscript-1.8.2-63.1.x86_64
cups-filters-cups-browsed-1.8.2-63.1.x86_64
cups-filters-foomatic-rip-1.8.2-63.1.x86_64
cups-filters-1.8.2-63.1.x86_64

# rpm -Uhv binaries/cups-filters-1.14.0-73.1.x86_64.rpm
Preparing... ################################# [100%]
Updating / installing...
1:cups-filters-1.14.0-73.1
warning: /etc/cups/cups-browsed.conf created as
/etc/cups/cups-browsed.conf.rpmnew ################################# [ 20%]
Cleaning up / removing...
2:cups-filters-foomatic-rip-1.8.2-6################################# [ 40%]
3:cups-filters-1.8.2-63.1 ################################# [ 60%]
4:cups-filters-ghostscript-1.8.2-63################################# [ 80%]
5:cups-filters-cups-browsed-1.8.2-6################################# [100%]

# rpm -qa | grep cups-filters
cups-filters-1.14.0-73.1.x86_64
-------------------------------------------------------------------------------

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages